package esi.ew.common;

public enum TYPE_ANSWER implements PersistentEnum{
	
	TYPE_RADIO(11, "ตัวเลือก Radio", "Radio"),
	TYPE_RADIO_OTHER(12, "ตัวเลือก Radio และอื่นๆ","Radio Other"),
	TYPE_CHECKBOX(21, "ตัวเลือก Checkbox","Checkbox"),
	TYPE_CHECKBOX_OTHER(22, "ตัวเลือก Checkbox และอื่นๆ","Checkbox Other"),
	TYPE_GRID_CHOICE(31, "คำถามของ Grid, Grid Choice","Grid Choice"),
	TYPE_OTHER(99, "เพิ่มตัวเลือกอื่นๆ","Other");
		
	private static final int[] StatusValue = { 11, 12, 21, 22, 31, 99 };

	private static final int[][] StatusFlow = {  };

	private int Value;
	private String thMessage;
	private String enMessage;

	private TYPE_ANSWER(int value, String thMessage, String enMessage) {
		this.Value = value;
		this.thMessage = thMessage;
		this.enMessage = enMessage;
	}
	
	public static TYPE_ANSWER getEnum(int Data) {
		TYPE_ANSWER[] CheckList = TYPE_ANSWER.values();
		for (int i = 0; i < CheckList.length; i++) {
			if (CheckList[i].getValue() == Data) {
				return CheckList[i];
			}
		}
		return TYPE_ANSWER.TYPE_OTHER;
	}

	public TYPE_ANSWER[] getValues(int ai_Mode) {
		return null;
	}

	public static TYPE_ANSWER[] GetNextState(Integer ai_CurrStatus) {
		if (ai_CurrStatus != null) {
			for (int i = 0; i < StatusFlow.length; i++) {
				if (ai_CurrStatus == StatusFlow[i][0]) {
					TYPE_ANSWER[] ResultList = new TYPE_ANSWER[StatusFlow[i].length-1];
					for (int j = 1; j < StatusFlow[i].length; j++) {
						ResultList[j-1] = TYPE_ANSWER.getEnum(StatusFlow[i][j]);
					}
					return ResultList;
				}
			}
			return new TYPE_ANSWER[0];
		} else {
			TYPE_ANSWER[] ResultList = new TYPE_ANSWER[StatusFlow[0].length-1];
			for (int j = 1; j < StatusFlow[0].length; j++) {
				ResultList[j-1] = TYPE_ANSWER.getEnum(StatusFlow[0][j]);
			}
			return ResultList;
		}
	}

	public int getValue() {
		return Value;
	}
	public void setValue(int value) {
		Value = value;
	}
	public String getThMessage() {
		return thMessage;
	}
	public void setThMessage(String thMessage) {
		this.thMessage = thMessage;
	}
	public String getEnMessage() {
		return enMessage;
	}
	public void setEnMessage(String enMessage) {
		this.enMessage = enMessage;
	}
}